{ rustPlatform, fetchFromGitHub }:
rustPlatform.buildRustPackage rec {
  name = "cardano-cli-${version}";
  version = "master";

  src = fetchFromGitHub {
    owner = "input-output-hk";
    repo = "cardano-cli";
    rev = "ed064d5a3b96c23b52bb20ca49da9cb8764a2e0f";
    sha256 = "07y5ssar6aq93snrvmapk05zmym4w23ydvjn2njp8saxk23ivqsg";
    fetchSubmodules = true;
  };

  cargoSha256 = "1jra0635inm95xp7vg8l7s7ybijcy28956cd6jl8qw2p8bw0z1p3";
  verifyCargoDeps = true;
}
